%%%
%% japs.cls (pLaTeX2e) 
%%   Journal of the Japan Association for Philosophy of Science
%%     by Motoaki Sato (ULS & Company), 2007-2016.
\NeedsTeXFormat{pLaTeX2e}
\ProvidesClass{japs}
%%[2008/12/10 v1.0 for Japan Association for Philosophy of Science]
%%[2009/01/08 v1.1 for Japan Association for Philosophy of Science]
%%[2011/03/18 v1.2 for Japan Association for Philosophy of Science]
%%[2015/06/25 v1.3 for Japan Association for Philosophy of Science]
  [2016/11/09 v2.0 for Japan Association for Philosophy of Science]

%\def\japsline@warning{\ClassWarning{japs}}
\def\japs@warning{\ClassWarningNoLine{japs}}

\newif\if@enable@uptex \@enable@uptexfalse
\ifx\ucs\@undefined\else
 \ifnum\ucs"3000="3000
  \@enable@uptextrue
 \fi
\fi

\newdimen\@JQ
\if@enable@uptex
 \@JQ=0.769362pt % 1/0.924714=1.08141544 | 0.71144 x 1.08141544 = 0.769362pt 
\else
 \@JQ=0.7392507pt
\fi
%\newdimen\@Q
%\@Q=0.71144pt
\newdimen\@EM
\@EM=.03125em

\newif\if@cameraready \@camerareadyfalse
\DeclareOption{cameraready}{\@camerareadytrue}
\newif\if@Proof \@Prooffalse
\DeclareOption{Proof}{\@Prooftrue}
\newif\if@offprint \@offprintfalse
\DeclareOption{offprint}{\@offprinttrue}
\newif\if@usehiragino\@usehiraginofalse
\DeclareOption{use-hiragino}{\@usehiraginotrue}

%% ʸμ̤ϡʸ()/Ƥ/ɾ
%% Ƥ
%\newif\if@discussion \@discussionfalse
%\DeclareOption{discussion}{\@discussiontrue}
%% ɾ
\newif\if@bkreview \@bkreviewfalse
\DeclareOption{bookreview}{\@bkreviewtrue}

\newcounter{@paper}
\newcommand{\@ptsize}{}
\newif\if@restonecol
\hour\time \divide\hour by 60\relax
\@tempcnta\hour \multiply\@tempcnta 60\relax
\minute\time \advance\minute-\@tempcnta
\newif\if@stysize \@stysizefalse
\newif\if@enablejfam \@enablejfamtrue
\newif\if@mathrmmc \@mathrmmcfalse
\DeclareOption{b5paper}{\setcounter{@paper}{4}%
  \setlength\paperheight {257mm}
  \setlength\paperwidth  {182mm}}
\DeclareOption{10pt}{\renewcommand{\@ptsize}{0}}
\DeclareOption{11pt}{\renewcommand{\@ptsize}{1}}
\DeclareOption{12pt}{\renewcommand{\@ptsize}{2}}
\DeclareOption{tombow}{%
  \tombowtrue \tombowdatetrue
  \setlength{\@tombowwidth}{.1\p@}%
  \@bannertoken{%
     \jobname\space:\space\number\year/\number\month/\number\day
      (\number\hour:\number\minute)}
  \maketombowbox}
\DeclareOption{tombo}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{.1\p@}%
  \maketombowbox}
\DeclareOption{mentuke}{%
  \tombowtrue \tombowdatefalse
  \setlength{\@tombowwidth}{\z@}%
  \maketombowbox}
\DeclareOption{tate}{%
  \AtBeginDocument{\tate\message{Խȥ⡼ɡ}%
                   \adjustbaseline}%
}
\DeclareOption{oneside}{\@twosidefalse}
\DeclareOption{twoside}{\@twosidetrue}
\DeclareOption{onecolumn}{\@twocolumnfalse}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{leqno}{\input{leqno.clo}}
\if@cameraready
 \DeclareOption{fleqn}{\input{japs-fleqn.sty}}
\else
 \DeclareOption{fleqn}{\input{fleqn.clo}}
\fi
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}}
\DeclareOption{disablejfam}{\@enablejfamfalse}
\DeclareOption{draft}{\setlength\overfullrule{5pt}}
\DeclareOption{final}{\setlength\overfullrule{0pt}}
\ExecuteOptions{b5paper,twocolumn,twoside,final,openright}
\ProcessOptions\relax

\iftombow
 \AtBeginDvi{\special{pdf: pagesize width 210mm height 297mm}}%
\else
 \AtBeginDvi{\special{pdf: pagesize width 182mm height 257mm}}%
\fi

\def\kenc@JYn{\if@enable@uptex JY2\else JY1\fi}
\def\kenc@JTn{\if@enable@uptex JT2\else JT1\fi}

\if@enable@uptex
\if@cameraready
 \input japs-utf.fd
\else
%%%
\DeclareFontShape{JY2}{mc}{m}{n}{%
  <5>     s*[0.995848]upjisr-h %  7Q
  <7>     s*[1.016171]upjisr-h % 10Q
  <8>     s*[0.978065]upjisr-h % 11Q
  <9>     s*[0.948427]upjisr-h % 12Q
  <10>    s*[0.924714]upjisr-h % 13Q
  <10.95> s*[0.974411]upjisr-h % 15Q
  <12>    s*[1.06698]upjisr-h  % 18Q
  <14.4>  s*[0.987944]upjisr-h % 20Q
  <17.28> s*[0.987944]upjisr-h % 24Q
  <20.74> s*[0.960316]upjisr-h % 28Q
  <24.88> s*[0.914881]upjisr-h % 32Q
  <-> s*[0.924714]upjisr-h
}{}
\DeclareFontShape{JY2}{mc}{b}{n}{% ߥ A101
  <5>     s*[0.995848]upjisr-h %  7Q
  <7>     s*[1.016171]upjisr-h % 10Q
  <8>     s*[0.978065]upjisr-h % 11Q
  <9>     s*[0.948427]upjisr-h % 12Q
  <10>    s*[0.924714]upjisr-h % 13Q
  <10.95> s*[0.974411]upjisr-h % 15Q
  <12>    s*[1.06698]upjisr-h  % 18Q
  <14.4>  s*[0.987944]upjisr-h % 20Q
  <17.28> s*[0.987944]upjisr-h % 24Q
  <20.74> s*[0.960316]upjisr-h % 28Q
  <24.88> s*[0.914881]upjisr-h % 32Q
  <-> s*[0.924714]upjisr-h
}{}
\DeclareFontShape{JY2}{gt}{m}{n}{%
  <5>     s*[0.995848]upjisr-h %  7Q
  <7>     s*[1.016171]upjisg-h % 10Q
  <8>     s*[0.978065]upjisg-h % 11Q
  <9>     s*[0.948427]upjisg-h % 12Q
  <10>    s*[0.924714]upjisg-h % 13Q
  <10.95> s*[0.974411]upjisr-h % 15Q
  <12>    s*[1.06698]upjisr-h  % 18Q
  <14.4>  s*[0.987944]upjisr-h % 20Q
  <17.28> s*[0.987944]upjisr-h % 24Q
  <20.74> s*[0.960316]upjisr-h % 28Q
  <24.88> s*[0.914881]upjisr-h % 32Q
  <-> s*[0.924714]upjisg-h
}{}
\DeclareFontShape{JY2}{gt}{sb}{n}{%  R
  <5>     s*[0.995848]upjisr-h %  7Q
  <7>     s*[1.016171]upjisg-h % 10Q
  <8>     s*[0.978065]upjisg-h % 11Q
  <9>     s*[0.948427]upjisg-h % 12Q
  <10>    s*[0.924714]upjisg-h % 13Q
  <10.95> s*[0.974411]upjisr-h % 15Q
  <12>    s*[1.06698]upjisr-h  % 18Q
  <14.4>  s*[0.987944]upjisr-h % 20Q
  <17.28> s*[0.987944]upjisr-h % 24Q
  <20.74> s*[0.960316]upjisr-h % 28Q
  <24.88> s*[0.914881]upjisr-h % 32Q
  <-> s*[0.924714]upjisg-h
}{}
%%
\DeclareFontShape{JT2}{mc}{m}{n}{%
  <5>     s*[0.995848]upjisr-v %  7Q
  <7>     s*[1.016171]upjisr-v % 10Q
  <8>     s*[0.978065]upjisr-v % 11Q
  <9>     s*[0.948427]upjisr-v % 12Q
  <10>    s*[0.924714]upjisr-v % 13Q
  <10.95> s*[0.974411]upjisr-v % 15Q
  <12>    s*[1.06698]upjisr-v  % 18Q
  <14.4>  s*[0.987944]upjisr-v % 20Q
  <17.28> s*[0.987944]upjisr-v % 24Q
  <20.74> s*[0.960316]upjisr-v % 28Q
  <24.88> s*[0.914881]upjisr-v % 32Q
  <-> s*[0.924714]upjisr-v
}{}
\DeclareFontShape{JT2}{mc}{b}{n}{% ߥ A101
  <5>     s*[0.995848]upjisr-v %  7Q
  <7>     s*[1.016171]upjisr-v % 10Q
  <8>     s*[0.978065]upjisr-v % 11Q
  <9>     s*[0.948427]upjisr-v % 12Q
  <10>    s*[0.924714]upjisr-v % 13Q
  <10.95> s*[0.974411]upjisr-v % 15Q
  <12>    s*[1.06698]upjisr-v  % 18Q
  <14.4>  s*[0.987944]upjisr-v % 20Q
  <17.28> s*[0.987944]upjisr-v % 24Q
  <20.74> s*[0.960316]upjisr-v % 28Q
  <24.88> s*[0.914881]upjisr-v % 32Q
  <-> s*[0.924714]upjisr-v
}{}
\DeclareFontShape{JT2}{gt}{m}{n}{%
  <5>     s*[0.995848]upjisr-v %  7Q
  <7>     s*[1.016171]upjisg-v % 10Q
  <8>     s*[0.978065]upjisg-v % 11Q
  <9>     s*[0.948427]upjisg-v % 12Q
  <10>    s*[0.924714]upjisg-v % 13Q
  <10.95> s*[0.974411]upjisr-v % 15Q
  <12>    s*[1.06698]upjisr-v  % 18Q
  <14.4>  s*[0.987944]upjisr-v % 20Q
  <17.28> s*[0.987944]upjisr-v % 24Q
  <20.74> s*[0.960316]upjisr-v % 28Q
  <24.88> s*[0.914881]upjisr-v % 32Q
  <-> s*[0.924714]upjisg-v
}{}
\DeclareFontShape{JT2}{gt}{sb}{n}{%  R
  <5>     s*[0.995848]upjisr-v %  7Q
  <7>     s*[1.016171]upjisg-v % 10Q
  <8>     s*[0.978065]upjisg-v % 11Q
  <9>     s*[0.948427]upjisg-v % 12Q
  <10>    s*[0.924714]upjisg-v % 13Q
  <10.95> s*[0.974411]upjisr-v % 15Q
  <12>    s*[1.06698]upjisr-v  % 18Q
  <14.4>  s*[0.987944]upjisr-v % 20Q
  <17.28> s*[0.987944]upjisr-v % 24Q
  <20.74> s*[0.960316]upjisr-v % 28Q
  <24.88> s*[0.914881]upjisr-v % 32Q
  <-> s*[0.924714]upjisg-v
}{}
\fi
%%%
\else
\if@cameraready
 \input japs.fd
\else
\DeclareFontShape{JY1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] jis %  7Q
  <6>     sfixed * [5.9141] jis %  8Q
  <7>     sfixed * [7.3926] jis % 10Q
  <8>     sfixed * [8.1318] jis % 11Q
  <9>     sfixed * [8.8711] jis % 12Q
  <10>    sfixed * [9.6104] jis % 13Q
  <10.95> sfixed * [11.089] jis % 15Q
  <12>    sfixed * [13.307] jis % 18Q
  <14.4>  sfixed * [14.785] jis % 20Q
  <17.28> sfixed * [17.742] jis % 24Q
  <20.74> sfixed * [20.699] jis % 28Q
  <24.88> sfixed * [23.656] jis % 32Q
  <->                       jis % 
}{}
\DeclareFontShape{JY1}{mc}{b}{n}{% ߥ A101
  <5>     sfixed * [5.1748] jis
  <6>     sfixed * [5.9141] jis
  <7>     sfixed * [7.3926] jis
  <8>     sfixed * [8.1318] jis
  <9>     sfixed * [8.8711] jis
  <10>    sfixed * [9.6104] jis
  <10.95> sfixed * [11.089] jis
  <12>    sfixed * [13.307] jis
  <14.4>  sfixed * [14.785] jis
  <17.28> sfixed * [17.742] jis
  <20.74> sfixed * [20.699] jis
  <24.88> sfixed * [23.656] jis
  <->                       jis
}{}
\DeclareFontShape{JY1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
%%
\DeclareFontShape{JT1}{mc}{m}{n}{%
  <5>     sfixed * [5.1748] jis-v
  <6>     sfixed * [5.9141] jis-v
  <7>     sfixed * [7.3926] jis-v
  <8>     sfixed * [8.1318] jis-v
  <9>     sfixed * [8.8711] jis-v
  <10>    sfixed * [9.6104] jis-v
  <10.95> sfixed * [11.089] jis-v
  <12>    sfixed * [13.307] jis-v
  <14.4>  sfixed * [14.785] jis-v
  <17.28> sfixed * [17.742] jis-v
  <20.74> sfixed * [20.699] jis-v
  <24.88> sfixed * [23.656] jis-v
  <->                       jis-v
}{}
\DeclareFontShape{JT1}{mc}{b}{n}{% ߥ A101
  <5>     sfixed * [5.1748] jis-v
  <6>     sfixed * [5.9141] jis-v
  <7>     sfixed * [7.3926] jis-v
  <8>     sfixed * [8.1318] jis-v
  <9>     sfixed * [8.8711] jis-v
  <10>    sfixed * [9.6104] jis-v
  <10.95> sfixed * [11.089] jis-v
  <12>    sfixed * [13.307] jis-v
  <14.4>  sfixed * [14.785] jis-v
  <17.28> sfixed * [17.742] jis-v
  <20.74> sfixed * [20.699] jis-v
  <24.88> sfixed * [23.656] jis-v
  <->                       jis-v
}{}
\DeclareFontShape{JT1}{gt}{m}{n}{%
  <5>     sfixed * [5.1748] jisg-v
  <6>     sfixed * [5.9141] jisg-v
  <7>     sfixed * [7.3926] jisg-v
  <8>     sfixed * [8.1318] jisg-v
  <9>     sfixed * [8.8711] jisg-v
  <10>    sfixed * [9.6104] jisg-v
  <10.95> sfixed * [11.089] jisg-v
  <12>    sfixed * [13.307] jisg-v
  <14.4>  sfixed * [14.785] jisg-v
  <17.28> sfixed * [17.742] jisg-v
  <20.74> sfixed * [20.699] jisg-v
  <24.88> sfixed * [23.656] jisg-v
  <->                       jisg-v
}{}
%%
\DeclareFontShape{JY1}{gt}{sb}{n}{%  R
  <5>     sfixed * [5.1748] jisg
  <6>     sfixed * [5.9141] jisg
  <7>     sfixed * [7.3926] jisg
  <8>     sfixed * [8.1318] jisg
  <9>     sfixed * [8.8711] jisg
  <10>    sfixed * [9.6104] jisg
  <10.95> sfixed * [11.089] jisg
  <12>    sfixed * [13.307] jisg
  <14.4>  sfixed * [14.785] jisg
  <17.28> sfixed * [17.742] jisg
  <20.74> sfixed * [20.699] jisg
  <24.88> sfixed * [23.656] jisg
  <->                       jisg
}{}
\DeclareFontShape{JT1}{gt}{sb}{n}{%  R
  <5>     sfixed * [5.1748] jisg-v
  <6>     sfixed * [5.9141] jisg-v
  <7>     sfixed * [7.3926] jisg-v
  <8>     sfixed * [8.1318] jisg-v
  <9>     sfixed * [8.8711] jisg-v
  <10>    sfixed * [9.6104] jisg-v
  <10.95> sfixed * [11.089] jisg-v
  <12>    sfixed * [13.307] jisg-v
  <14.4>  sfixed * [14.785] jisg-v
  <17.28> sfixed * [17.742] jisg-v
  <20.74> sfixed * [20.699] jisg-v
  <24.88> sfixed * [23.656] jisg-v
  <->                       jisg-v
}{}
\fi
\fi
%%
\DeclareFontShape{\kenc@JYn}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{m}{sl}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{bx}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{b}{it}{<->ssub*mc/b/n}{}
\DeclareFontShape{\kenc@JYn}{mc}{b}{sl}{<->ssub*mc/b/n}{}
\DeclareFontShape{\kenc@JYn}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{gt}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{gt}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JYn}{gt}{sb}{it}{<->ssub*gt/sb/n}{}
%%
\DeclareFontShape{\kenc@JTn}{mc}{m}{it}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{m}{sc}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{m}{sl}{<->ssub*mc/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{bx}{sl}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{b}{it}{<->ssub*mc/b/n}{}
\DeclareFontShape{\kenc@JTn}{mc}{b}{sl}{<->ssub*mc/b/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{m}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{bx}{n}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{bx}{it}{<->ssub*gt/m/n}{}
\DeclareFontShape{\kenc@JTn}{gt}{sb}{it}{<->ssub*gt/sb/n}{}

%% from /usr/local/teTeX/share/texmf/tex/latex/base/ot1cmr.fd [2002/01/21]
\DeclareFontShape{OT1}{cmr}{m}{n}%
     {%
      <-6>cmr5%
      <6-7>cmr6%
      <7-8>cmr7%
      <8-9>cmr8%
      <9-10>cmr9%
      <10-12>cmr10%
      <12-17>cmr12%
      <17->cmr17%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sl}%
     {%
      <-9>cmsl8%
      <9-10>cmsl9%
      <10-12>cmsl10%
      <12->cmsl12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{it}%
     {%
      <-8>cmti7%
      <8-9>cmti8%
      <9-10>cmti9%
      <10-12>cmti10%
      <12->cmti12%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{sc}%
     {%
      <->cmcsc10%
      }{}
\DeclareFontShape{OT1}{cmr}{m}{ui}
     {%
      <->cmu10%
      }{}
\DeclareFontShape{OT1}{cmr}{b}{n}
     {%
      <->cmb10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{n}
     {%
      <-6>cmbx5%
      <6-7>cmbx6%
      <7-8>cmbx7%
      <8-9>cmbx8%
      <9-10>cmbx9%
      <10-12>cmbx10%
      <12->cmbx12%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{sl}
     {%
      <->cmbxsl10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{it}
     {%
      <->cmbxti10%
      }{}
\DeclareFontShape{OT1}{cmr}{bx}{ui}
     {%
      <->sub*cmr/m/ui
      }{}

%% from /usr/local/share/texmf/tex/latex/base/omlcmm.fd
% \DeclareFontFamily{OML}{cmm}{\skewchar\font127 }
\DeclareFontShape{OML}{cmm}{m}{it}
    { <5> <6> <7> <8> <9> gen * cmmi
      <10><10.95>cmmi10
%     <12><14.4><17.28><20.74><24.88>cmmi12
      <12->cmmi12
      <->cmmi10
      }{}
\DeclareFontShape{OML}{cmm}{b}{it}{%
      <5> <6> <7> <8> <9> gen * cmmib
%     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> cmmib10
      <10-> cmmib10
      <->cmmib10
      }{}
\DeclareFontShape{OML}{cmm}{bx}{it}
   {<-> ssub * cmm/b/it}{}

%% from /usr/local/share/texmf/tex/latex/base/omscmsy.fd
% \DeclareFontFamily{OMS}{cmsy}{\skewchar\font48 }
\DeclareFontShape{OMS}{cmsy}{m}{n}{%
      <5> <6> <7> <8> <9> <10> gen * cmsy
%     <10.95> <12> <14.4> <17.28> <20.74> <24.88> cmsy10
      <10.95-> cmsy10
      <-> cmsy10
      }{}
\DeclareFontShape{OMS}{cmsy}{b}{n}{%
      <5> <6> <7> <8> <9> gen * cmbsy
%     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>cmbsy10
      <10-> cmbsy10
      <-> cmbsy10
      }{}

%% from /usr/local/share/texmf/tex/latex/base/ulasy.fd
\DeclareFontFamily{U}{lasy}{}
\DeclareFontShape{U}{lasy}{m}{n}{ <5> <6> <7> <8> <9> gen * lasy
      <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>lasy10
      <-> lasy10}{}
\DeclareFontShape{U}{lasy}{b}{n}{ <-10> ssub * lasy/m/n
     <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88>lasyb10
      <-> lasyb10}{}

%% from /usr/local/share/texmf/tex/latex/amsfonts/umsa.fd
\DeclareFontFamily{U}{msa}{}
\DeclareFontShape{U}{msa}{m}{n}{
  <5> <6> <7> <8> <9> gen * msam
  <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> msam10
  <-> msam10
  }{}

%% from /usr/local/share/texmf/tex/latex/amsfonts/umsb.fd
\DeclareFontFamily{U}{msb}{}
\DeclareFontShape{U}{msb}{m}{n}{
  <5> <6> <7> <8> <9> gen * msbm
  <10> <10.95> <12> <14.4> <17.28> <20.74> <24.88> msbm10
  <-> msbm10
  }{}

\xspcode`+=3
\xspcode`\%=3
\xspcode`^^80=3
\xspcode`^^81=3
\xspcode`^^82=3
\xspcode`^^83=3
\xspcode`^^84=3
\xspcode`^^85=3
\xspcode`^^86=3
\xspcode`^^87=3
\xspcode`^^88=3
\xspcode`^^89=3
\xspcode`^^8a=3
\xspcode`^^8b=3
\xspcode`^^8c=3
\xspcode`^^8d=3
\xspcode`^^8e=3
\xspcode`^^8f=3
\xspcode`^^90=3
\xspcode`^^91=3
\xspcode`^^92=3
\xspcode`^^93=3
\xspcode`^^94=3
\xspcode`^^95=3
\xspcode`^^96=3
\xspcode`^^97=3
\xspcode`^^98=3
\xspcode`^^99=3
\xspcode`^^9a=3
\xspcode`^^9b=3
\xspcode`^^9c=3
\xspcode`^^9d=3
\xspcode`^^9e=3
\xspcode`^^9f=3
\xspcode`^^a0=3
\xspcode`^^a1=3
\xspcode`^^a2=3
\xspcode`^^a3=3
\xspcode`^^a4=3
\xspcode`^^a5=3
\xspcode`^^a6=3
\xspcode`^^a7=3
\xspcode`^^a8=3
\xspcode`^^a9=3
\xspcode`^^aa=3
\xspcode`^^ab=3
\xspcode`^^ac=3
\xspcode`^^ad=3
\xspcode`^^ae=3
\xspcode`^^af=3
\xspcode`^^b0=3
\xspcode`^^b1=3
\xspcode`^^b2=3
\xspcode`^^b3=3
\xspcode`^^b4=3
\xspcode`^^b5=3
\xspcode`^^b6=3
\xspcode`^^b7=3
\xspcode`^^b8=3
\xspcode`^^b9=3
\xspcode`^^ba=3
\xspcode`^^bb=3
\xspcode`^^bc=3
\xspcode`^^bd=3
\xspcode`^^be=3
\xspcode`^^bf=3
\xspcode`^^c0=3
\xspcode`^^c1=3
\xspcode`^^c2=3
\xspcode`^^c3=3
\xspcode`^^c4=3
\xspcode`^^c5=3
\xspcode`^^c6=3
\xspcode`^^c7=3
\xspcode`^^c8=3
\xspcode`^^c9=3
\xspcode`^^ca=3
\xspcode`^^cb=3
\xspcode`^^cc=3
\xspcode`^^cd=3
\xspcode`^^ce=3
\xspcode`^^cf=3
\xspcode`^^d0=3
\xspcode`^^d1=3
\xspcode`^^d2=3
\xspcode`^^d3=3
\xspcode`^^d4=3
\xspcode`^^d5=3
\xspcode`^^d6=3
\xspcode`^^d7=3
\xspcode`^^d8=3
\xspcode`^^d9=3
\xspcode`^^da=3
\xspcode`^^db=3
\xspcode`^^dc=3
\xspcode`^^dd=3
\xspcode`^^de=3
\xspcode`^^df=3
\xspcode`^^e0=3
\xspcode`^^e1=3
\xspcode`^^e2=3
\xspcode`^^e3=3
\xspcode`^^e4=3
\xspcode`^^e5=3
\xspcode`^^e6=3
\xspcode`^^e7=3
\xspcode`^^e8=3
\xspcode`^^e9=3
\xspcode`^^ea=3
\xspcode`^^eb=3
\xspcode`^^ec=3
\xspcode`^^ed=3
\xspcode`^^ee=3
\xspcode`^^ef=3
\xspcode`^^f0=3
\xspcode`^^f1=3
\xspcode`^^f2=3
\xspcode`^^f3=3
\xspcode`^^f4=3
\xspcode`^^f5=3
\xspcode`^^f6=3
\xspcode`^^f7=3
\xspcode`^^f8=3
\xspcode`^^f9=3
\xspcode`^^fa=3
\xspcode`^^fb=3
\xspcode`^^fc=3
\xspcode`^^fd=3
\xspcode`^^fe=3
\xspcode`^^ff=3

\def\@setfontsize#1#2#3{\@nomath#1%
 \ifx\protect\@typeset@protect
   \let\@currsize#1%
 \fi
 \fontsize{#2}{#3}\selectfont
 \kanjiskip=0zw \@plus .1zw \@minus .025zw
 \xkanjiskip=0.25em \@plus 0.15em \@minus 0.06em
}

\renewcommand{\normalsize}{%
    \@setfontsize\normalsize\@xpt{19H}%
  \abovedisplayskip 10\p@ \@plus2\p@ \@minus5\p@
  \abovedisplayshortskip \z@ \@plus3\p@
  \belowdisplayshortskip 6\p@ \@plus3\p@ \@minus3\p@
   \belowdisplayskip \abovedisplayskip
   \let\@listi\@listI}
%\normalsize

%\setbox0\hbox{\char\euc"A1A1}% "
%\setlength\Cht{\ht0}
%\setlength\Cdp{\dp0}
%\setlength\Cwd{\wd0}
%\setlength\Cvs{\baselineskip}
%\setlength\Chs{\wd0}

\newcommand{\small}{%
  \@setfontsize\small\@ixpt{18.5H}%
  \abovedisplayskip 8.5\p@ \@plus3\p@ \@minus4\p@
  \abovedisplayshortskip \z@ \@plus2\p@
  \belowdisplayshortskip 4\p@ \@plus2\p@ \@minus2\p@
  \def\@listi{\leftmargin\leftmargini
              \topsep 4\p@ \@plus2\p@ \@minus2\p@
              \parsep 2\p@ \@plus\p@ \@minus\p@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip}

\small
\setbox0\hbox{\char\euc"A1A1}% "
\setlength\Cht{\ht0}
\setlength\Cdp{\dp0}
\setlength\Cwd{\wd0}
\setlength\Cvs{\baselineskip}
\setlength\Chs{\wd0}

\newcommand{\footnotesize}{%
  \@setfontsize\footnotesize\@viiipt{14H}%
  \abovedisplayskip 6\p@ \@plus2\p@ \@minus4\p@
  \abovedisplayshortskip \z@ \@plus\p@
  \belowdisplayshortskip 3\p@ \@plus\p@ \@minus2\p@
  \def\@listi{\leftmargin\leftmargini
              \topsep 3\p@ \@plus\p@ \@minus\p@
              \parsep 2\p@ \@plus\p@ \@minus\p@
              \itemsep \parsep}%
  \belowdisplayskip \abovedisplayskip}

\newcommand{\scriptsize}{\@setfontsize\scriptsize\@viipt\@viiipt}
\newcommand{\tiny}{\@setfontsize\tiny\@vpt\@vipt}
\newcommand{\large}{\@setfontsize\large\@xiipt{24H}}
\newcommand{\Large}{\@setfontsize\Large\@xivpt{30H}}
\newcommand{\LARGE}{\@setfontsize\LARGE\@xviipt{25}}
\newcommand{\huge}{\@setfontsize\huge\@xxpt{28}}
\newcommand{\Huge}{\@setfontsize\Huge\@xxvpt{33}}

\headheight12H
\headsep5.75mm
\topskip 1\Cht
\footskip6mm

\setlength\maxdepth{.5\topskip}
\textwidth150mm % 12Qx24w x 2 + 2 = 600H (150mm)
%\@settopoint\textwidth
\textheight 43\Cvs
\advance \textheight \topskip
%\advance \textheight .15mm
%\@settopoint\textheight
%\topmargin\z@
%\@settopoint\topmargin
\if@twocolumn
  \setlength\marginparsep{10\p@}
\else
  \setlength\marginparsep{10\p@}
\fi
\setlength\marginparpush{5\p@}

\marginparwidth 2in
%\@settopoint\marginparwidth

%\iftombow
\topmargin\paperheight
\advance \topmargin -\textheight
\advance \topmargin -\headheight
\advance \topmargin -\headsep
\advance \topmargin -\footskip
\divide \topmargin \tw@
\advance \topmargin -3.75mm
\advance \topmargin -1in
%\@settopoint\topmargin
\oddsidemargin\paperwidth
\advance \oddsidemargin -\textwidth
\divide \oddsidemargin \tw@
\advance \oddsidemargin -1in
%\@settopoint\oddsidemargin
\evensidemargin\oddsidemargin
%\@settopoint\evensidemargin
%\fi

\footnotesep2.45mm % 14H x 0.7
\skip\footins .75\Cvs \@plus 4\p@ \@minus 2\p@
\floatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\textfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@
\intextsep 1.5\Cvs \@plus 2\p@ \@minus 2\p@
\dblfloatsep 1\Cvs \@plus 2\p@ \@minus 2\p@
\dbltextfloatsep 1.5\Cvs \@plus 2\p@ \@minus 4\p@

\setlength\@fptop{0\p@ \@plus 1fil}
\setlength\@fpsep{8\p@ \@plus 2fil}
\setlength\@fpbot{0\p@ \@plus 1fil}
\setlength\@dblfptop{0\p@ \@plus 1fil}
\setlength\@dblfpsep{8\p@ \@plus 2fil}
\setlength\@dblfpbot{0\p@ \@plus 1fil}
\setlength\partopsep{2\p@ \@plus 1\p@ \@minus 1\p@}

\def\@listi{\leftmargin\leftmargini
  \parsep 4\p@ \@plus2\p@ \@minus\p@
  \topsep 8\p@ \@plus2\p@ \@minus4\p@
  \itemsep4\p@ \@plus2\p@ \@minus\p@}
\let\@listI\@listi
\@listi
\def\@listii{\leftmargin\leftmarginii
   \labelwidth\leftmarginii \advance\labelwidth-\labelsep
   \topsep  4\p@ \@plus2\p@ \@minus\p@
   \parsep  2\p@ \@plus\p@  \@minus\p@
   \itemsep\parsep}
\def\@listiii{\leftmargin\leftmarginiii
   \labelwidth\leftmarginiii \advance\labelwidth-\labelsep
   \topsep 2\p@  \@plus\p@\@minus\p@
   \parsep\z@
   \partopsep \p@ \@plus\z@ \@minus\p@
   \itemsep\topsep}
\def\@listiv {\leftmargin\leftmarginiv
              \labelwidth\leftmarginiv
              \advance\labelwidth-\labelsep}
\def\@listv  {\leftmargin\leftmarginv
              \labelwidth\leftmarginv
              \advance\labelwidth-\labelsep}
\def\@listvi {\leftmargin\leftmarginvi
              \labelwidth\leftmarginvi
              \advance\labelwidth-\labelsep}

\columnsep2zw
\columnseprule 0\p@
\lineskip 1\p@ 
\normallineskip 1\p@
\renewcommand{\baselinestretch}{}
\parskip\z@
\parindent1zw

\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301

\setcounter{topnumber}{2}% 2
\setcounter{bottomnumber}{1}% 1
\setcounter{totalnumber}{3}% 3
\setcounter{dbltopnumber}{2}% 2
\renewcommand{\topfraction}{.95}% .7
\renewcommand{\bottomfraction}{.95}% .3
\renewcommand{\textfraction}{.05}% .2
\renewcommand{\floatpagefraction}{.05}% .5
\renewcommand{\dbltopfraction}{.95}% .7
\renewcommand{\dblfloatpagefraction}{.05}% .5

\if@Proof
 \def\@Rtop{\rlap{\smash{\rule[-\headsep]{0.05mm}{10mm}%
  \rule[-\headsep]{10mm}{0.05mm}}}}
 \def\@Ltop{\llap{\smash{\rule[-\headsep]{10mm}{0.05mm}%
  \rule[-\headsep]{0.05mm}{10mm}}}}
 \def\@Rbot{\rlap{\smash{\raisebox{1\footskip}
  {\rule[-10mm]{0.05mm}{10mm}\rule{10mm}{0.05mm}}}}}
 \def\@Lbot{\llap{\smash{\raisebox{1\footskip}
  {\rule{10mm}{0.05mm}\rule[-10mm]{0.05mm}{10mm}}}}}
\else
 \let\@Rtop\relax\let\@Ltop\relax\let\@Rbot\relax\let\@Lbot\relax
\fi

\def\ps@empty{%\let\ps@jpl@in\ps@plain
 \def\@oddhead{\@Ltop\hfil\@Rtop}%
 \def\@oddfoot{\@Lbot\hfil\@Rbot}%
 \let\@evenhead\@oddhead
 \let\@evenfoot\@oddfoot
 \let\@mkboth\@gobbletwo
 %\let\chaptermark\@gobble
 %\let\sectionmark\@gobble
}

\def\ps@plain{%
 %\let\ps@jpl@in\ps@plain
 \def\@oddhead{\@Ltop\hfill\@Rtop}%
 \let\@evenhead\@oddhead
 \def\@oddfoot{\@Lbot\hfil
  {\footnombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
 \let\@mkboth\@gobbletwo
}
%\let\ps@jpl@in\ps@plain

\def\nombre@font{\normalfont\small}
\def\head@font{\normalfont\footnotesize}
\def\footnombre@font{\scriptsize\slshape}
\def\@lefthead{{\kanjiskip1zw \hbox{ʳش}}}

\def\head@underline{%
 \smash{\hbox to \z@{\hbox to \textwidth{%
  \leaders\hrule height-2.25mm depth2.37mm\hfil}\hss}}}

\def\volpageoffset#1{\gdef\@volpageoffset{#1}}
\def\@volpageoffset{}
\def\the@volpage{%
 \ifx\@volpageoffset\empty
  \thepage
 \else
  \@tempcnta\@volpageoffset\relax
  \advance \@tempcnta \m@ne
  \advance \@tempcnta \c@page
  \the\@tempcnta
 \fi
}

\def\ps@FPjaps{%
 \def\@oddhead{\@Ltop\head@underline
  \head@font
  \ifx\@type\empty\else
  \leavevmode\inhibitglue\@type
  \fi
  ʳش Vol.\@Vol, No.\@No\ (\@Year)\hskip1zw \JAPSpage@range\hfil
  \@Rtop}%
 \let\@evenhead\@oddhead %% ڡϤޤ
 \def\@oddfoot{\@Lbot\hfil
  {\footnombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
 \let\@mkboth\markboth
 %\let\sectionmark\@gobble
 %\let\subsectionmark\@gobble
}

\def\ps@japs{%
 \def\@oddhead{\@Ltop\head@underline
  \rlap{\head@font\hskip3mm Vol.\,\@Vol\hskip1zw No.\,\@No}\hfil
  {\head@font \head@title}\hfil
  \llap{\nombre@font \thepage\hskip3mm}\@Rtop}%
 \def\@evenhead{\@Ltop\head@underline
  \rlap{\nombre@font \hskip3mm\thepage}\hfil
  {\head@font \@lefthead}\hfil
  \llap{\head@font \@Year\hskip3mm}\@Rtop}%
 \def\@oddfoot{\@Lbot\hfil
  {\footnombre@font ---\ \the@volpage\ ---}\hfil\@Rbot}%
 \let\@evenfoot\@oddfoot
 \let\@mkboth\markboth
 %\let\sectionmark\@gobble
 %\let\subsectionmark\@gobble
}

\def\Year#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Year{20xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \xdef\@Year{20xx}%
  \else
   \xdef\@Year{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Year{201x}

\def\Vol#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@Vol{xx}%
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@Vol{xx}%
  \else
   \gdef\@Vol{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@Vol{xx}%

\def\No#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\empty
  \gdef\@No{xx}
 \else
  \edef\@tempb{\zap@space#1 \@empty}%
  \afterassignment\remove@to@nnil
  \count@ 0\@tempb\relax\@nnil
  \ifnum\count@=\z@
   \gdef\@No{xx}%
  \else
   \gdef\@No{\zap@space#1 \@empty}%
  \fi
 \fi
}
\def\@No{xx}%

\def\type#1{\gdef\@type{#1}}
\def\@type{}

\def\measure@head#1{%
 \setbox\@tempboxa\hbox{\def\\{\unskip\ignorespaces}%
  \head@font #1}%
 \ifdim \wd\@tempboxa > 98mm
  \japs@warning{header is too long. make it shorter. 
  ^^J\@spaces For example, \string\title[header title]{title}}%
 \fi
}

\def\title{\@ifnextchar[% ]
 {\d@title}{\s@title}}
\def\d@title[#1]#2{%
 \gdef\head@title{#1\hold@headname\inhibitglue}%
 \gdef\@title{#2}%
 \measure@head{#1}%
}
\def\s@title#1{%
 \gdef\head@title{\def\\{\unskip\ignorespaces}%
  #1\hold@headname\inhibitglue}%
 \gdef\@title{#1}%
 \measure@head{#1}%
}
\def\@title{}
\def\head@title{}

\def\subtitle#1{\gdef\@subtitle{#1}}
\def\@subtitle{}

\long\def\etitle#1{\gdef\@etitle{#1}}
\def\@etitle{}
\long\def\esubtitle#1{\gdef\@esubtitle{#1}}
\def\@esubtitle{}

\long\def\ack#1{% ռ
 \protected@xdef\@ack{% \@ack
  \protect\footnotetext[0]{#1}}%
}
\let\@ack\@empty

\newcommand{\maketitle}{\par
 \ifnum \chk@alcnt < \@alcnt
  \japs@warning{information of \string\affiliate\space is not specified}%
 \fi
 \begingroup
  \if@offprint
   \@makeOffPrintTitle
  \else
   \renewcommand{\thefootnote}{\fnsymbol{footnote}}%
   \def\@makefnmark{\hbox{$\m@th^{\@thefnmark}$}}%
   %\long\def\@makefntext##1{%
   % \parindent1zw
   % \noindent
   % \hbox to 2zw{\hss $\m@th^{\@thefnmark}$}##1}%
   \renewcommand\@makefntext[1]{%
    \leftskip2zw
    \parindent1zw
    \noindent
    \hbox to \z@{\hss \@makefnmark\,}##1}%
   \if@bkreview
    \gdef\head@title{\hskip3zw ɾ}%
    \let\@maketitle\@makebkreviewtitle
   \fi
   %%
   \twocolumn[\@maketitle]%
   \thispagestyle{FPjaps}
   \@jaffiliate
   \@ack
  \fi
 \endgroup
 \setcounter{footnote}{0}%
 \global\let\maketitle\relax
 \global\let\@title\@empty
 \global\let\title\relax
 \global\let\d@title\@empty
 \global\let\s@title\@empty
 \global\let\@subtitle\@empty
 \global\let\subtitle\relax
 \global\let\@authorlist\relax
 \global\let\affiliate\relax
 \global\let\output@Jauthorlist\relax
 \global\let\output@Eauthorlist\relax
 \global\let\@jaffiliate\@empty
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
   \global\expandafter\let\csname @Jauthorname\number\@authorcnt\endcsname
    \@empty
   %\global\expandafter\let\csname @Eauthorname\number\@authorcnt\endcsname
   % \@empty
 \repeat
}

\DeclareFixedFont{\KFtitle}{\kenc@JYn}{mc}{b}{n}{20\@JQ}
\def\title@font{%
 \Large\ybaselineshift1\@EM\KFtitle
}

\DeclareFixedFont{\KFsubtitle}{\kenc@JYn}{mc}{m}{n}{18\@JQ}
\def\subtitle@font{%
 \large\ybaselineshift.75\@EM\KFsubtitle
}

\DeclareFixedFont{\KFauthor}{\kenc@JYn}{mc}{m}{n}{15\@JQ}
\def\author@font{% 7
 \fontsize{10.95}{1.5\Cvs}\selectfont
 \ybaselineshift.65\@EM\KFauthor
}

\newtoks\@authorlist
\newcount\@authorcnt
\newcount\@alcnt
%\newcount\p@alcnt
% \p@alcnt20\relax
\newcount\total@nr
%\newcount\total@alcnt

\def\authorlist#1{%
 \@authorlist={#1}\the\@authorlist
}

\def\authorentry#1#2#3{\@ifnextchar[% ]
 {\@aeP{#1}{#2}{#3}}{\@ae{#1}{#2}{#3}}}

%% from jasj.cls
\def\@ae#1#2#3{%
 \@tempcnta\z@
 \advance \@authorcnt \@ne
 %% author label
 \get@al{#3}%
 %% author's names on header
 \chk@headname{#1}%
 \process@headname{#1}%
 %% author's name in Japanese
 \fmt@Jan{#1}%
 \if@offprint
  \let\plural@affi\relax
 \fi
 \expandafter\protected@xdef\csname @Jauthorname\number\@authorcnt\endcsname{%
  \@authorname\kern\z@\rlap{\plural@affi}}%
 %% author's name in English
 \fmt@Ean{#2}%
 \global\total@nr\@authorcnt
 \def\plural@affi{}%
}
%\def\@authorname{}

%% ߤν°Ϥʤ餷
%\def\@aeP#1#2#3[#4]{%
%}

\def\name@expandafter#1#2{%
 \def\next{#1}%
 \protected@edef\@tempa{#2}%
 \ifx\@tempa\@empty
  %\japs@warning{author's name is empty!}%
  \def\@tempa{\@empty}%
 \fi
 \expandafter\next\@tempa}
\def\chk@name#1{%
 \name@expandafter\@chk@name{#1}\@nil}
\def\@chk@name#1#2\@nil{\def\get@oneword{#1}}

\newif\if@kanjiheadname \@kanjiheadnamefalse
\def\chk@headname#1{%
 \chk@name{#1}%
 \expandafter\ifcat\get@oneword \global\@kanjiheadnametrue\fi
}

\def\process@headname#1{%
 \let\Gspace\relax % for G
 \def\@tempa{#1}%
 \ifx\@tempa\@empty
 \else
  \@temptokena{#1}%
  \setbox\@tempboxa\hbox{\spaceskip100mm #1}%
  \ifdim \wd\@tempboxa < 100mm
   \protected@xdef\hold@headname{%
    \ifx\hold@headname\empty\else
     \hold@headname\hbox to 1zw{\hss \hss}%
    \fi
    \the\@temptokena}%
  \else
   \if@kanjiheadname
    \def\tmp@name##1 ##2\@nil{##1}%
   \else
    \def\tmp@name##1 ##2\@nil{##2}%
   \fi
   \protected@edef\tmp@headname{%
    \let\Gspace\relax
    \expandafter\tmp@name\the\@temptokena\@nil}%
   \protected@xdef\hold@headname{%
    \ifx\hold@headname\empty\else
     \hold@headname\hbox to 1zw{\hss \hss}%
    \fi
    \tmp@headname}%
  \fi
 \fi
}
\def\hold@headname{}

\def\headauthors#1{\gdef\hold@headname{#1}}

\def\get@al#1{%
 \def\al@none{none}\def\@tempaffi{#1}%
 \ifx\al@none\@tempaffi\else
  \@for\get@label:=#1\do{%
   \@ifundefined{al@\get@label}%
    {%
     \global\advance \@alcnt \@ne
     \expandafter\xdef\csname al@\get@label\endcsname{\the\@alcnt}%
     \global\advance \@tempcnta \@ne
     \protected@xdef\plural@affi{\plural@affi
      \ifnum\@tempcnta=\@ne
       $^{\japs@fnsymbol{\csname al@\get@label\endcsname}}$% \jasj@fnsymbol
      \else
       $^{,\japs@fnsymbol{\csname al@\get@label\endcsname}}$%
      \fi
     }%
    }%
    {%
     \global\advance \@tempcnta \@ne
     \protected@xdef\plural@affi{\plural@affi
      \ifnum\@tempcnta=\@ne
       $^{\japs@fnsymbol{\csname al@\get@label\endcsname}}$%
      \else
       $^{,\japs@fnsymbol{\csname al@\get@label\endcsname}}$%
      \fi
     }%
    }%
  }%
 \fi
}
\def\plural@affi{}

\newdimen\authornamesep
\authornamesep15H % 15Qx1zw

\def\kintou#1#2{%
 \leavevmode\hbox to #1{%
  \kanjiskip\z@ plus 1fill minus 1fill\xkanjiskip\kanjiskip #2\hfil}}
\def\f@kintou#1#2{%
 \setbox0\hbox{#2}%
 \ifdim\wd0>3zw
  #2%
 \else
  \leavevmode\hbox to #1{%
   \kanjiskip\z@ plus 1fill minus 1fill\xkanjiskip\kanjiskip #2\hfil}%
 \fi
}
\def\s@kintou#1#2{%
 \setbox0\hbox{#2}%
 \ifdim\wd0>3zw
  #2%
 \else
  \leavevmode\hbox to #1{\hfil
   \kanjiskip\z@ plus 1fill minus 1fill\xkanjiskip\kanjiskip #2}%
 \fi
}

\def\fmt@Jan#1{%
 \def\Gspace{\hspace{1zw}}% for G
 \def\@tempa{#1}%
 \ifx\@tempa\@empty
  \japs@warning{author's name is empty!}%
  \def\@authorname{}%
 \else
  \@temptokena{#1}%
  \setbox\@tempboxa\hbox{\spaceskip100mm #1}%
  \ifdim \wd\@tempboxa < 100mm
   \japs@warning{add a space between first and second names of "#1"}%
   \def\@authorname{\protect\kintou{7zw}{#1}}%
  \else
   \if@offprint
    \def\tmp@name##1 ##2\@nil{##1\unskip##2}%
    \protected@edef\@authorname{%
     \expandafter\tmp@name\the\@temptokena\@nil\unskip}%
   \else
    \def\tmp@name##1 ##2\@nil{%
     \protect\f@kintou{3zw}{##1}\hskip\authornamesep\protect\s@kintou{3zw}{##2}%
    }%
    \protected@edef\@authorname{%
     \expandafter\tmp@name\the\@temptokena\@nil\unskip}%
   \fi
  \fi
 \fi
}

\def\fmt@Ean#1{%
 \def\@tempa{#1}%
 \ifx\@tempa\@empty
 \else
  \@temptokena{#1}%
  \def\tmp@name##1 ##2\@nil{##1 \protect\uppercase{##2}}%
  \protected@edef\fmt@authorname{%
   \expandafter\tmp@name\the\@temptokena\@nil}%
  \expandafter\protected@xdef\csname @Eauthorname\number\@authorcnt\endcsname{%
   \fmt@authorname\kern\z@\plural@affi}%
 \fi
}

\if@offprint
\def\output@Jauthorlist{%
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
  \leavevmode
  \csname @Jauthorname\number\@authorcnt\endcsname
 \repeat
}
\else
\def\breakJauthorline#1{\gdef\assigned@bal{#1}}
\def\assigned@bal{}

\def\@breakJauthorline#1{%
 \@for\@breakauthor:=#1\do{%
  \expandafter\gdef\csname @bal\@breakauthor\endcsname{\\}%
 }%
  \@authorcnt\z@
  \loop
   \ifnum \@authorcnt<\total@nr
    \advance \@authorcnt \@ne
    \@ifundefined{@bal\number\@authorcnt}%
     {\expandafter\gdef\csname @bal\number\@authorcnt\endcsname{\hskip2zw}%
     }{}%
  \repeat
}

\def\output@Jauthorlist{%
 \ifx\assigned@bal\empty
  \align@author
  \expandafter\@breakJauthorline\expandafter{\align@number}%
 \else
  \@breakJauthorline{\assigned@bal}%
 \fi
 %%
 \ifnum\total@nr=\@ne
  \hskip-4.25pt
 \else
  \ifnum\total@nr=\tw@
   \hskip-7.5pt
  \else
   \ifnum\total@nr=\thr@@
    \hskip-11.2pt
   \else
    \advance \hsize -11.2pt %%!!
   \fi
  \fi
 \fi
 %%
 \@authorcnt\z@
 \loop\ifnum \@authorcnt < \total@nr
  \advance \@authorcnt \@ne
  \leavevmode
  \csname @Jauthorname\number\@authorcnt\endcsname
  \ifnum \@authorcnt=\total@nr
  \else
   \csname @bal\number\@authorcnt\endcsname
  \fi
 \repeat
}

\def\align@author{% 12Q
 \def\align@number{3,6,9,12}%
}
\fi

\newcount\chk@alcnt
\def\affiliate[#1]#2#3{%
 \advance \chk@alcnt \@ne
 \@ifundefined{al@#1}%
  {\expandafter\def\csname al@#1\endcsname{1}%
   \japs@warning{Check the "#1" label, it does not correspond to
     ^^J\@spaces any labels in \string\authorentry\space command}%
  }{}%
 \let\@fnsymbol\japs@fnsymbol
 \def\tmp@affiliate{#3}%
 \protected@xdef\@jaffiliate{%
  \@jaffiliate
  \protect\footnotetext[\csname al@#1\endcsname]{#2%
   \ifx\tmp@affiliate\empty\else
    \protect\\ #3%
   \fi
   }}%
}
\def\@jaffiliate{}
%\def\@eaffiliate{}

\def\etitle@font{%
 \normalfont\large
}
\def\esubtitle@font{%
 \normalfont\fontsize{10.95}{\Cvs}\selectfont
}
\def\eauthor@font{%
 \normalfont\fontsize{10.95}{1.2\Cvs}\selectfont
}

\def\breakauthorline#1{%
 \@for\@breakauthor:=#1\do{%
  \expandafter\gdef\csname @breakauthorline\@breakauthor\endcsname{\\}%
 }%
  \@authorcnt=\z@
  \loop\ifnum\@authorcnt<\total@nr
   \advance \@authorcnt \@ne
    \@ifundefined{@breakauthorline\number\@authorcnt}%
     {\expandafter\gdef\csname @breakauthorline\number\@authorcnt\endcsname{%
      \relax}}
     {\relax}%
  \repeat
}

\def\output@Eauthorlist{%
 \@authorcnt\z@
 \@tempcnta\total@nr \advance \@tempcnta -\@ne
  \loop
   \ifnum \@authorcnt < \total@nr
    \advance \@authorcnt \@ne 
    \ifnum \@authorcnt < \@tempcnta
     \ignorespaces
     \mbox{\csname @Eauthorname\number\@authorcnt\endcsname\unskip}, 
     \csname @breakauthorline\number\@authorcnt\endcsname
    \else
     \ifnum \@authorcnt=\total@nr
      \ignorespaces
      \mbox{\csname @Eauthorname\number\@authorcnt\endcsname\unskip}%
      \csname @breakauthorline\number\@authorcnt\endcsname
      \ignorespaces
     \else
      \ignorespaces
      \mbox{\csname @Eauthorname\number\@authorcnt\endcsname\unskip}\ 
      \csname @breakauthorline\number\@authorcnt\endcsname
      %% \ifnum \total@nr=\tw@\ \else , \fi
      and\ \ignorespaces 
     \fi
    \fi
  \repeat
}

\newbox\@abstractbox
\def\abstract{%
 \global\setbox\@abstractbox\hbox\bgroup
  \small\baselineskip17H % \normalsize --> \small 19H-->18H
  \@tempdima\textwidth
  \advance \@tempdima -4zw
  \begin{minipage}{\@tempdima}
   \small\baselineskip17H
   \parindent1.5pc
   \noindent
   \hfil {\bfseries Abstract}\par
   \vskip.25\baselineskip % .75 --> .25
   \ignorespaces
}
\def\endabstract{\par
   \unskip\ignorespaces
  \end{minipage}%
 \egroup
}

%\newcount\chk@p@alcnt
%\def\paffiliate[#1]#2{%
% \advance \chk@p@alcnt \@ne
% \@ifundefined{p@al@#1}%
%  {\expandafter\def\csname p@al@#1\endcsname{1}%
%   \japs@warning{Check the "#1" label, it does not correspond to
%     ^^J\@spaces any labels in \string\authorentry\space command}%
%  }{}%
% \protected@xdef\p@jaffiliate{%
%  \p@jaffiliate
%  \protect\footnotetext[\csname p@al@#1\endcsname]{#2}}%
%}
%\def\p@jaffiliate{}

\def\JAPSpage@range{%
 \@ifundefined{r@japs@lastpage}{\def\get@lp{1}}%
  {\edef\exp@lp{\csname r@japs@lastpage\endcsname}%
   \edef\get@lp{\expandafter\@cdr\exp@lp\@nil}%
  }%
  \expandafter\ifnum\get@lp=\c@page
   \thepage
  \else
   \thepage\get@lp
  \fi
}

\def\@maketitle{\newpage\null
 \setbox\@tempboxa\hbox{%
  \begin{minipage}{\textwidth}
   \vskip4.5mm
   \bgroup
    \centering
    {\title@font\leavevmode\inhibitglue\@title\inhibitglue\par}%
    \ifx\@subtitle\empty\else
     \vskip.5\Cvs
     {\subtitle@font\leavevmode\inhibitglue\@subtitle\inhibitglue\par}%
    \fi
   \egroup
   \bgroup
    \centering
    \vskip1.5\Cvs
    {\author@font \output@Jauthorlist\par}%
    \vskip1.25\Cvs
   \egroup
   \bgroup
    \centering
    {\etitle@font \@etitle\par}%
    \ifx\@esubtitle\empty\else
     \vskip.25\Cvs
     {\esubtitle@font \@esubtitle\par}%
    \fi
    \vskip\Cvs
   \egroup
   \bgroup
    \centering
    {\eauthor@font \output@Eauthorlist\par}%
   \egroup
   \ifvoid\@abstractbox\else
    \vskip1.25\Cvs
    \hfil
    \box\@abstractbox\par
   \fi
  \end{minipage}%
 }%
 \@tempdima \ht\@tempboxa
 \advance \@tempdima \dp\@tempboxa %% ºݤι⤵
 \@tempdimb \@tempdima
 \@tempdimc \@tempdima
 \divide \@tempdimc \Cvs
 \@tempcnta=\@tempdimc
 %\advance \@tempcnta \@ne
 %%
 \@tempdimc \@tempcnta\Cvs %% Լꤷ⤵
 \advance \@tempdimb -\@tempdimc
 \ifdim \@tempdimb > .5\Cvs
  \advance \@tempcnta \@ne
 \else
  \advance \@tempcnta \z@
 \fi
 \advance \@tempcnta \tw@
 %%
 \bgroup
  \parindent\z@
  \boxmaxdepth\z@
  \lineskiplimit\z@
  \lineskip\z@
  \vbox to \@tempcnta\Cvs{%
   \box\@tempboxa
  \vss}%
 \egroup
}

\def\bkreview@font{%
 \usekanji{\kenc@JYn}{gt}{sb}{n}\fontsize{15\@JQ}{\Cvs}\selectfont}

\def\@makebkreviewtitle{\newpage\null
 \bgroup
  \parindent\z@
  \boxmaxdepth\z@
  \lineskiplimit\z@
  \lineskip\z@
  \vbox to 5\Cvs{%
   \vss
   \hfil
   {\bkreview@font \hskip3zw ɾ\par}%
  \vss}%
 \egroup
}

%\newcommand{\makeEtitle}{%
% \onecolumn
%  \renewcommand{\footnoterule}{%
%   \kern-3\p@
%   \hrule width 72mm % 12Qx24w
%   \kern 2.6\p@}%
% \begingroup
%  \renewcommand{\thefootnote}{\fnsymbol{footnote}}%
%  \def\@makefnmark{\hbox{$\m@th^{\@thefnmark}$}}%
%  %\long\def\@makefntext##1{%
%  % \parindent1zw
%  % \noindent
%  % \hbox to 2zw{\hss $\m@th^{\@thefnmark}$}##1}%
%  \renewcommand\@makefntext[1]{%
%   \leftskip2zw
%   \parindent1zw
%   \noindent
%   \hbox to \z@{\hss \@makefnmark\,}##1}%
%  %%
%  \@makeenglishtitle
%  \@eaffiliate
% \endgroup
% %\setcounter{footnote}{0}%
% %\global\let\makeEtitle\relax
% %\global\let\@etitle\@empty
% %\global\let\etitle\relax
% %\global\let\@esubtitle\@empty
% %\global\let\esubtitle\relax
% %%
% %\global\let\output@Eauthorlist\relax
% %\global\let\@eaffiliate\@empty
% %\@authorcnt\z@
% %\loop\ifnum \@authorcnt < \total@nr
% % \advance \@authorcnt \@ne
% %  \global\expandafter\let\csname @Eauthorname\number\@authorcnt\endcsname
% %   \@empty
% %\repeat
%}

%\def\@makeenglishtitle{\newpage\null
% \bgroup
%  \parindent\z@
%  \boxmaxdepth\z@
%  \lineskiplimit\z@
%  \lineskip\z@
%  \vbox{%
%   \vskip1.5mm
%   \centering
%   {\etitle@font \@etitle\par}%
%   \ifx\@esubtitle\empty\else
%    \vskip\Cvs
%    {\esubtitle@font \@esubtitle\par}%
%   \fi
%   \vskip4mm
%   {\eauthor@font \output@Eauthorlist\par}%
%   \vskip\Cvs
%  }%
% \egroup
% \vskip\Cvs
%}

\def\Issue#1{\gdef\@Issue{#1}}
\def\@Issue{}

\DeclareFixedFont{\KFoptitle}{\kenc@JYn}{mc}{m}{n}{16.5}
\def\OPtitle@font{%
 \LARGE % 17pt
 \ybaselineshift1\@EM\KFoptitle
}

\DeclareFixedFont{\KFopauthor}{\kenc@JYn}{mc}{m}{n}{12.4}
\def\OPauthor@font{%
 %\fontsize{12}{25.4H}\selectfont
 %\ybaselineshift.5\@EM
 \KFopauthor
}

\DeclareFixedFont{\KFop}{\kenc@JYn}{mc}{m}{n}{11}
\def\OP@font{%
 \fontsize{11}{25.4H}\selectfont
 \ybaselineshift.5\@EM\KFop
}

\def\@makeOffPrintTitle{%
 \bgroup
  \parindent\z@
  \def\topglue{\nointerlineskip \vglue-\topskip \vglue}%
  \topglue21mm
  \centering
  {\OPtitle@font\leavevmode\inhibitglue\@title\inhibitglue\par}%
  \nointerlineskip
  \vskip5mm
  \leavevmode
  {\OPauthor@font \output@Jauthorlist}\par
  \vfill
  \OP@font
  ʳش\hskip.5zw 
  \ \@Issue\ \@Year\ Vol.\@Vol, No.\@No{}̺\\
  Journal of the Japan Association for\\
  PHILOSOPHY OF SCIENCE\par
  \nointerlineskip
  \vskip26mm
  \hrule \@height \z@
 \egroup
 \clearpage
}

\setcounter{secnumdepth}{2}
%%\newcounter{part}
\newcounter{section}
\newcounter{subsection}[section]
\newcounter{subsubsection}[subsection]
\newcounter{paragraph}[subsubsection]
\newcounter{subparagraph}[paragraph]
%%\renewcommand{\thepart}{\@Roman\c@part}
\renewcommand{\thesection}{\@arabic\c@section}
\renewcommand{\thesubsection}{\thesection.\@arabic\c@subsection}
\renewcommand{\thesubsubsection}{%
 \thesubsection.\@arabic\c@subsubsection}
\renewcommand{\theparagraph}{%
 \thesubsubsection.\@arabic\c@paragraph}
\renewcommand{\thesubparagraph}{%
 \theparagraph.\@arabic\c@subparagraph}

\def\@afterheading{%
 \global\@nobreaktrue
 \everypar{%
  \if@nobreak
   \global\@nobreakfalse
   \clubpenalty \z@
    \if@afterindent
    \else
     {\setbox\z@=\lastbox}%
    \fi
  \else
   \clubpenalty\@clubpenalty
   \everypar{}%
  \fi}%
}

%% \@startsection{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}
\def\@startsection#1#2#3#4#5#6{%
 \if@noskipsec \leavevmode \fi
 \par \@tempskipa #4\relax
 \@afterindenttrue
 \ifdim \@tempskipa <\z@ \@tempskipa -\@tempskipa \@afterindentfalse\fi
  \if@nobreak
   \everypar{}%
  \else
   %\addpenalty\@secpenalty
   \ifdim\@tempskipa>\z@
    %\ifnum#2=\@ne %% 2(pagetop=1)/*/1 or 1.5(pagetop=0.5)/*/0.5
     \vskip-\prevdepth \prevdepth\z@ \vskip\Cvs
     \advance\@tempskipa-\Cvs
     \advance\@tempskipa-\Cvs
     \vspace{\Cvs}
     \vspace*{\@tempskipa}
    %\else
    %\fi
    %%
   \fi
  \fi
 \@ifstar{\@ssect{#3}{#4}{#5}{#6}}{\@dblarg{\@sect{#1}{#2}{#3}{#4}{#5}{#6}}}}

%% \@sect{NAME}{LEVEL}{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}[ARG1]{ARG2}
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@sect#1#2#3#4#5#6[#7]#8{%
 \ifnum #2>\c@secnumdepth
  \let\@svsec\@empty
 \else
  \refstepcounter{#1}%
  \protected@edef\@svsec{\normalsize\@seccntformat{#1}\relax}%
 \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa<\z@
   \def\@svsechd{%
     #6{\hskip #3\relax
        \@svsec \inhibitglue #8\inhibitglue}%
    %\csname #1mark\endcsname{#7}%
    %\addcontentsline{toc}{#1}{%
    % \ifnum #2>\c@secnumdepth \else
    %   \protect\numberline{\csname the#1\endcsname}%
    % \fi
    % #7}
   }%
  \else
   \begingroup
    #6{%
      \@hangfrom{\hskip #3\relax\@svsec}%
       \interlinepenalty\@M \inhibitglue #8\inhibitglue\@@par
      }%
   \endgroup
   %\csname #1mark\endcsname{#7}%
   %\addcontentsline{toc}{#1}{%
   %  \ifnum #2>\c@secnumdepth \else
   %   \protect\numberline{\csname the#1\endcsname}%
   %    \fi
   % #7}%
  \fi
  \@xsect{#5}%
}

%% \@ssect{INDENT}{BEFORESKIP}{AFTERSKIP}{STYLE}{ARG} ==
%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@ssect#1#2#3#4#5{%
 \@tempskipa #3\relax
 \ifdim \@tempskipa<\z@
  \def\@svsechd{#4{\hskip #1\relax \inhibitglue #5\inhibitglue}}%
 \else
  \begingroup
   #4{%
      \@hangfrom{\hskip #1}%
       \interlinepenalty\@M \inhibitglue #5\inhibitglue\@@par
     }%
  \endgroup
 \fi
 \@xsect{#3}%
}

%% \ifdim \@tempskipa>\z@ --> \ifdim \@tempskipa<\z@
\def\@xsect#1{%
  \@tempskipa #1\relax
  \ifdim \@tempskipa<\z@
    \@nobreakfalse
    \global\@noskipsectrue
    \everypar{%
      \if@noskipsec
        \global\@noskipsecfalse
       {\setbox\z@\lastbox}%
        \clubpenalty\@M
        \begingroup \@svsechd \endgroup
        \unskip
        \@tempskipa #1\relax
        \hskip -\@tempskipa
        \pagebreak[2]% v0.40
      \else
        \clubpenalty \@clubpenalty
        \everypar{}%
      \fi}%
  \else
    \par \nobreak
    \vskip \@tempskipa
    \@afterheading
  \fi
  \ignorespaces}

\def\@seccntformat#1{\csname the#1\endcsname
 \csname dot@after@#1\endcsname\hskip1zw}

\def\dot@after@section{.}

\newcommand{\section}{\@startsection{section}{1}{3mm}%
   {1.5\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\small\bfseries}}
\newcommand{\subsection}{\@startsection{subsection}{2}{3mm}%
   {1\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.2\Cvs}%
   {\reset@font\small\bfseries}}
\newcommand{\subsubsection}{\@startsection{subsubsection}{3}{3mm}%
   {1\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {\z@ \@plus.2\Cvs}%
   {\reset@font\small\bfseries}}
\newcommand{\paragraph}{\@startsection{paragraph}{4}{3mm}%
   {1\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {-1zw}%
   {\reset@font\small\bfseries}}
\newcommand{\subparagraph}{\@startsection{subparagraph}{5}{3mm}%
   {1\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {-1zw}%
   {\reset@font\small\bfseries}}

\newcommand{\appendix}{\par
  \setcounter{section}{0}%
  \setcounter{subsection}{0}%
  \renewcommand{\thesection}{\@Alph\c@section}}

\if@twocolumn
  \setlength\leftmargini {2zw}% 2em
\else
  \setlength\leftmargini {2zw}% 2.5em
\fi
\setlength\leftmarginii  {2zw}% 2.2em
\setlength\leftmarginiii {2zw}% 1.87em
\setlength\leftmarginiv  {2zw}% 1.7em
\if@twocolumn
  \setlength\leftmarginv {1zw}% .5em
  \setlength\leftmarginvi{1zw}% .5em
\else
  \setlength\leftmarginv {1zw}% 1em
  \setlength\leftmarginvi{1zw}% 1em
\fi
\setlength  \labelsep  {.5zw}% .5em
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty\z@ % -\@lowpenalty
\@endparpenalty\z@ %   -\@lowpenalty
\@itempenalty\z@ %     -\@lowpenalty

\renewcommand{\theenumi}{\@arabic\c@enumi}
\renewcommand{\theenumii}{\@alph\c@enumii}
\renewcommand{\theenumiii}{\@roman\c@enumiii}
\renewcommand{\theenumiv}{\@Alph\c@enumiv}
\newcommand{\labelenumi}{\theenumi.}
\newcommand{\labelenumii}{(\theenumii)}
\newcommand{\labelenumiii}{\theenumiii.}
\newcommand{\labelenumiv}{\theenumiv.}
\renewcommand{\p@enumii}{\theenumi}
\renewcommand{\p@enumiii}{\theenumi(\theenumii)}
\renewcommand{\p@enumiv}{\p@enumiii\theenumiii}

\renewenvironment{enumerate}
  {\ifnum \@enumdepth >3\relax\@toodeep\else
   \advance\@enumdepth\@ne
   \edef\@enumctr{enum\romannumeral\the\@enumdepth}%
   \list{\csname label\@enumctr\endcsname}{%
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \settowidth{\labelwidth}{\csname label\@enumctr\endcsname}%
         \labelsep.5zw
         \leftmargin\labelwidth
         \advance\leftmargin \labelsep
         %\advance\leftmargin 1zw
         \listparindent\z@
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \usecounter{\@enumctr}%
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newcommand{\labelitemi}{\leavevmode
 \raise.05zw\hbox to 1zw{\hss \textbullet\hss}}
\newcommand{\labelitemii}{\leavevmode
 {\normalfont\bfseries \raise.05zw\hbox to 1zw{\hss \textendash\hss}}%
}
\newcommand{\labelitemiii}{\leavevmode
 \raise.05zw\hbox to 1zw{\hss \textasteriskcentered\hss}}
\newcommand{\labelitemiv}{\leavevmode
 \raise.05zw\hbox to 1zw{\hss \textperiodcentered\hss}}

\renewenvironment{itemize}
  {\ifnum \@itemdepth >3\relax\@toodeep\else
   \advance\@itemdepth\@ne
   \edef\@itemitem{labelitem\romannumeral\the\@itemdepth}%
   \expandafter
   \list{\csname \@itemitem\endcsname}{%
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \labelwidth1zw
         \labelsep\z@
         \leftmargin1zw
         \listparindent1zw
         \clubpenalty\z@
         \widowpenalty\z@
         \@itempenalty\z@
         \def\makelabel##1{\hss\llap{##1}}}%
   \fi}{\endlist}

\newenvironment{description}
  {\list{}{%
%%   \labelwidth\z@ \itemindent-\leftmargin
%%   \iftdir
%%     \leftmargin\leftskip \advance\leftmargin3\Cwd
%%     \rightmargin\rightskip
%%     \labelsep=1zw \itemsep\z@
%%     \listparindent\z@ \topskip\z@ \parskip\z@ \partopsep\z@
%%   \fi
   \leftmargin=1zw
   \labelwidth=\leftmargin
   \labelsep=1zw
   \listparindent1zw
   \advance \labelwidth by -\labelsep
   \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
   \let\makelabel\descriptionlabel
  }}{\endlist}
\newcommand{\descriptionlabel}[1]{%
%%   \hspace\labelsep\normalfont\bfseries #1
  \setbox0=\hbox{\normalfont\bfseries #1}%
  \dimen0=\wd0  \dimen1=1zw
  \divide \dimen0 by \dimen1
  \multiply \dimen0 by \dimen1
  \ifdim \dimen0<\wd0 \advance \dimen0 by \dimen1 \fi
  \hbox to \dimen0{\box0 \hfil}\hfil
}

\newenvironment{verse}
  {\let\\\@centercr
   \list{}{\itemsep\z@
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \itemindent -1.5em%
           \listparindent\itemindent
           \rightmargin\leftmargin
           \advance\leftmargin 1.5em}%
           \item\relax}{\endlist}
\newenvironment{quotation}
  {\list{}{%
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \listparindent2zw
           \itemindent\listparindent
           \rightmargin\leftmargin
           }%
           \item\relax}{\endlist}
\newenvironment{quote}
  {\list{}{%
           \topsep.5\baselineskip\parsep\z@\partopsep\z@
           \leftmargin2zw
           \rightmargin\z@
           }%
           \item\relax}{\endlist}

\gdef\tabbing{\lineskip \z@skip\let\>\@rtab\let\<\@ltab\let\=\@settab
     \let\+\@tabplus\let\-\@tabminus\let\`\@tabrj\let\'\@tablab
     \let\\=\@tabcr
     \@hightab\@firsttab
     \global\@nxttabmar\@firsttab
     \dimen\@firsttab\@totalleftmargin
     \global\@tabpush\z@ \global\@rjfieldfalse
     \topsep\@hlskip \parsep\z@\partopsep\z@
     \trivlist \item\relax
     \if@minipage\else\vskip\parskip\fi
     \setbox\@tabfbox\hbox{%
       \rlap{\hskip\@totalleftmargin\indent\the\everypar}}%
     \def\@itemfudge{\box\@tabfbox}%
     \@startline\ignorespaces}

\newskip\@hlskip
\@hlskip=.5\Cvs \@plus .25\Cvs \@minus .15\Cvs

\newdimen\verbatimleftmargin
  \verbatimleftmargin\z@
\newdimen\verbatimbaselineskip
  \verbatimbaselineskip\baselineskip
\def\verbatimsize{\normalsize}

\def\@verbatim{%
 \interlinepenalty\z@
 \topsep\z@ %\@hlskip
 \partopsep\z@\parsep\z@\itemsep\z@
 \trivlist \item\relax
  \if@minipage\else
   \vskip\baselineskip
   \vskip-\verbatimbaselineskip
   %\vskip\parskip
  \fi
  \leftskip\@totalleftmargin
  \if@minipage\else
   \advance \leftskip by \verbatimleftmargin
  \fi
  \rightskip\z@skip
  \parindent\z@\parfillskip\@flushglue\parskip\z@skip
  \@@par
  \@tempswafalse
  \def\par{%
    \if@tempswa
      \leavevmode \null \@@par\penalty\interlinepenalty
    \else
      \@tempswatrue
      \ifhmode\@@par\penalty\interlinepenalty\fi
    \fi}%
  \let\do\@makeother \dospecials
  \obeylines 
   \verbatimsize \baselineskip\verbatimbaselineskip
   \verbatim@font \@noligs
  \everypar \expandafter{\the\everypar \unpenalty}%
}

%% \def\verbatim@font{\normalfont\ttfamily}

%% from latex.ltx
\def\@item[#1]{%
  \if@noparitem
    \@donoparitem
  \else
    \if@inlabel
      \indent \par
    \fi
    \ifhmode
      \unskip\unskip \par
    \fi
    \if@newlist
      \if@nobreak
        \@nbitem
      \else
        \addpenalty\@beginparpenalty
        \addvspace\@topsep
        \addvspace{-\parskip}%
      \fi
    \else
      \addpenalty\@itempenalty
      \addvspace\itemsep
    \fi
    \global\@inlabeltrue
  \fi
  \everypar{%
    \@minipagefalse
    \global\@newlistfalse
    \if@inlabel
      \global\@inlabelfalse
      {\setbox\z@\lastbox
       \ifvoid\z@
         \kern-\itemindent
       \fi}%
      \box\@labels
      \penalty\z@
    \fi
    \if@nobreak
      \@nobreakfalse
      \clubpenalty\z@ % \@M --> \z@ 
    \else
      \clubpenalty \@clubpenalty
      \everypar{}%
    \fi}%
  \if@noitemarg
    \@noitemargfalse
    \if@nmbrlist
      \refstepcounter\@listctr
    \fi
  \fi
  \sbox\@tempboxa{\makelabel{#1}}%
  \global\setbox\@labels\hbox{%
    \unhbox\@labels
    \hskip \itemindent
    \hskip -\labelwidth
    \hskip -\labelsep
    \ifdim \wd\@tempboxa >\labelwidth
      \box\@tempboxa
    \else
      \hbox to\labelwidth {\unhbox\@tempboxa}%
    \fi
    \hskip \labelsep}%
  \ignorespaces\inhibitglue
}

\newcounter{figure}
\renewcommand{\thefigure}{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{\figurename~\thefigure}
\newenvironment{figure}
               {\floatenv\capwidth\hsize
                \abovecaptionskip1mm\belowcaptionskip\z@\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\floatenv\capwidth\hsize
                \abovecaptionskip1mm\belowcaptionskip\z@\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand{\thetable}{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{\tablename~\thetable}
\newenvironment{table}
               {\floatenv\capwidth\hsize
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\floatenv\capwidth\hsize
                \abovecaptionskip\z@\belowcaptionskip1.5mm\@dblfloat{table}}
               {\end@dblfloat}

\newlength\abovecaptionskip
\newlength\belowcaptionskip

\def\@floatboxreset{%% 14H  (ХåʥСǤ 12H ΤΤ)
 \reset@font
 \footnotesize\tabcolsep.5zw
 \@setminipage
}

\def\Center{\topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
 \trivlist \centering\item\relax}
\def\endCenter{\endtrivlist}

\def\floatenv{%
 \if@cameraready
  \def\center{%
   \leavevmode
   \hbox to \hsize\bgroup\hss
   \ignorespaces
  }%
  \def\endcenter{%
   \hss\egroup
   \ignorespaces
  }%
  \def\SA{\leavevmode\hangindent1zw\raise.05zw\hbox to 1zw{\hss $\bullet$\hss}}%
 \else
  \let\center\Center
  \let\endcenter\endCenter
 \fi
}

\long\def\@caption#1[#2]#3{\par
 \begingroup
  \@parboxrestore
  \if@minipage
   \@setminipage
  \fi
  \footnotesize
  \@makecaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
 \endgroup}

\newbox\@tempboxb
\newdimen\capwidth
\let\capnum@font\relax

\long\def\@makecaption#1#2{%
 \vskip\abovecaptionskip
 \setbox\@tempboxa\hbox{{\capnum@font #1}\hskip1zw\shortstack[l]{#2}}%
 \@tempdima=\ht\@tempboxa\advance \@tempdima by \dp\@tempboxa
 \setbox\@tempboxb\hbox{\capnum@font #1\hskip1zw}%
 \ifdim \@tempdima > \baselineskip
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\hskip1zw #2}\par
    \hrule height \z@
  \else
   \hfil\parbox[t]{\wd\@tempboxa}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\hskip1zw #2}\par
    \hrule height \z@
  \fi
 \else
  \ifdim \wd\@tempboxa > \capwidth
   \hfil\parbox[t]{\capwidth}{\hangindent\wd\@tempboxb 
    {\capnum@font #1}\hskip1zw #2}\par
    \hrule height \z@
  \else
   \hbox to\hsize{\hss\box\@tempboxa\hss}%
  \fi
 \fi
 \vspace{\belowcaptionskip}%
}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{.5zw}% 6\p@
\setlength\arrayrulewidth{.12mm}% .4\p@
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{.5zw}% 3\p@
\setlength\fboxrule{.12mm}% .4\p@

\renewcommand{\theequation}{\@arabic\c@equation}

\if@enablejfam
  \if@compatibility\else
    \DeclareSymbolFont{mincho}{\kenc@JYn}{mc}{m}{n}
    \DeclareSymbolFontAlphabet{\mathmc}{mincho}
    \SetSymbolFont{mincho}{bold}{\kenc@JYn}{gt}{m}{n}
    \jfam\symmincho
    \DeclareMathAlphabet{\mathgt}{\kenc@JYn}{gt}{m}{n}
  \fi
  \if@mathrmmc
    \AtBeginDocument{%
    \reDeclareMathAlphabet{\mathrm}{\mathrm}{\mathmc}
    \reDeclareMathAlphabet{\mathbf}{\mathbf}{\mathgt}
  }%
  \fi
\else
  \DeclareRobustCommand{\mathmc}{%
    \@latex@error{Command \noexpand\mathmc invalid with\space
       `disablejfam' class option.}\@eha
  }
  \DeclareRobustCommand{\mathgt}{%
    \@latex@error{Command \noexpand\mathgt invalid with\space
       `disablejfam' class option.}\@eha
  }
\fi

\DeclareOldFontCommand{\mc}{\normalfont\mcfamily}{\mathmc}
\DeclareOldFontCommand{\gt}{\normalfont\gtfamily}{\mathgt}
\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*{\cal}{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*{\mit}{\@fontswitch\relax\mathnormal}

\newdimen\bibindent
\setlength\bibindent{1.5em}
\newcommand{\newblock}{\hskip .11em\@plus.33em\@minus.07em}

\newenvironment{thebibliography}[1]
 {%
  \renewcommand{\section}{\@startsection{section}{1}{\z@}%
   {1.5\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\small\bfseries}}%
   \section*{\hfil \refname}
   \list{% \@biblabel{\@arabic\c@enumiv}
         \ifnum #1>99\relax
          \setbox0\hbox{#1}\else
           \setbox0\hbox{99}\fi
         \hbox to 2.5zw{\hss
          \inhibitglue 
          \hbox to \wd0{\hss \@arabic\c@enumiv\hss}\inhibitglue\hskip.5zw}%
        }%
	{\footnotesize\baselineskip16.92H
	 \labelwidth3zw
	 \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
	 \leftmargin2.5zw
	 \labelsep\z@
	 \listparindent\z@
	 \itemindent\z@
	 \@openbib@code
	 \usecounter{enumiv}%
	 \let\p@enumiv\@empty
	 \renewcommand\theenumiv{\@arabic\c@enumiv}
   }%
   \sloppy
   \clubpenalty\z@
   \@clubpenalty\clubpenalty
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\def\@noitemerr
    {\@latex@warning{Empty `thebibliography' environment}}%
   \endlist}
\let\@openbib@code\@empty

\def\@biblabel#1{\leavevmode\inhibitglue #1\inhibitglue}

\newenvironment{references}
 {%
  \renewcommand{\section}{\@startsection{section}{1}{\z@}%
   {1.5\Cvs \@plus.3\Cvs \@minus.2\Cvs}%
   {.5\Cvs \@plus.3\Cvs \@minus.1\Cvs}%
   {\reset@font\small\bfseries}}%
   \section*{\hfil \refname}
   \list{}%
        {\footnotesize\baselineskip16.92H
         \topsep\z@\parsep\z@\partopsep\z@\itemsep\z@
         \leftmargin3zw
         %\labelsep\z@
         \listparindent\z@
         \itemindent-3zw
         %\let\item\ref@item
         \@openbib@code
         \let\p@enumiv\@empty
         \renewcommand\theenumiv{\@arabic\c@enumiv}
   }%
   \sloppy
   \clubpenalty\z@
   \@clubpenalty\clubpenalty
   \widowpenalty\z@
   \sfcode`\.\@m}
  {\endlist}

\def\sameabove{\leavevmode
 \hbox to 3zw{\leaders \hrule height 0.85mm depth -0.75mm\hfil}\ }

\def\@acceptance{\par
 \ifx \@received\empty\else
  \noindent
  \inhibitglue \@received\@revised\@secondrevised\@accepted\par
 \fi}

\def\received#1#2#3{%
 \gdef\@received{\ignorespaces #1\unskip ǯ\ignorespaces #2\unskip
  \ignorespaces #3\unskip }}
%\def\revised#1#2#3{\gdef\@revised{\ignorespaces #1\unskip
%  ǯ\ignorespaces #2\unskip \ignorespaces #3\unskip }}
\def\revised#1#2#3{\protected@xdef\@revised{\@revised
  \ignorespaces #1\unskip
  ǯ\ignorespaces #2\unskip \ignorespaces #3\unskip }%
}
\def\secondrevised#1#2#3{\gdef\@secondrevised{\ignorespaces #1\unskip
  ǯ\ignorespaces #2\unskip \ignorespaces #3\unskip ơ}}
\def\accepted#1#2#3{\gdef\@accepted{\ignorespaces #1\unskip
  ǯ\ignorespaces #2\unskip \ignorespaces #3\unskip Ǻܷ}}
\def\@received{}
\def\@revised{}
\def\@secondrevised{}
\def\@accepted{}

\renewcommand{\footnoterule}{%
  \kern-3\p@
  \hrule width \columnwidth
  \kern 2.6\p@}

\let\org@footnote\footnote
\def\footnote{\unskip\inhibitglue\penalty\@M\org@footnote}

\def\@makefnmark{\penalty\@M
 \smash{\hbox{\kern\z@
  \@textsuperscript{\normalfont\@thefnmark}\kern\z@}}}

\newcommand\@makefntext[1]{%
 \leftskip2zw
 \parindent1zw
 \noindent
 \hbox to \z@{\hss \@makefnmark\,}#1}

\def\thefootnote{\@arabic\c@footnote}

\def\japs@fnsymbol#1{%
 \ifcase#1\or
  {*}\or
  {*}\kern-.15ex{*}\or
  {*}\kern-.15ex{*}\kern-.15ex{*}\or
  {*}\kern-.15ex{*}\kern-.15ex{*}\kern-.15ex{*}\or
  {\dagger}\or {\dagger}\kern-.15ex{\dagger}\or
  {\dagger}\kern-.15ex{\dagger}\kern-.15ex{\dagger}\or
  {\dagger}\kern-.15ex{\dagger}\kern-.15ex{\dagger}\kern-.15ex{\dagger}\or
  \else \@ctrerr\fi
}

%% 󥿥󥰤 eqnarray
\def\eqnarray{%
   \stepcounter{equation}%
   \def\@currentlabel{\p@equation\theequation}%
   \global\@eqnswtrue
   \m@th
   \global\@eqcnt\z@
   \tabskip\@centering
   \let\\\@eqncr
   $$\everycr{}\halign to\displaywidth\bgroup
       \hskip\@centering$\displaystyle\tabskip\z@skip{##}$\@eqnsel
      &\global\@eqcnt\@ne\hskip .8\arraycolsep \hfil${##}$\hfil %% \tw@
      &\global\@eqcnt\tw@ \hskip .8\arraycolsep                 %% 
         $\displaystyle{##}$\hfil\tabskip\@centering
      &\global\@eqcnt\thr@@ \hb@xt@\z@\bgroup\hss##\egroup
         \tabskip\z@skip
      \cr
}
%\def\endeqnarray{%
%      \@@eqncr
%      \egroup
%      \global\advance\c@equation\m@ne
%   $$\@ignoretrue
%}

\def\@begintheorem#1#2{%
 \topsep\z@\parsep\z@\itemsep\z@\partopsep\z@ \labelsep1zw
 \trivlist
   \item[\hskip \labelsep{\bfseries #1\ #2}]\itshape}
\def\@opargbegintheorem#1#2#3{%
 \topsep\z@\parsep\z@\itemsep\z@\partopsep\z@ \labelsep1zw
 \trivlist
   \item[\hskip \labelsep{\bfseries #1\ #2\ (#3)}]\itshape}
\def\@endtheorem{\endtrivlist}

\newif\if \false
\def\{\true}
\def\{\false}
\newcount\heisei \heisei\year \advance\heisei-1988\relax
\def\today{{%
  \iftdir
    \if
      \kansuji\number\year ǯ
      \kansuji\number\month 
      \kansuji\number\day 
    \else
      ʿ\ifnum\heisei=1 ǯ\else\kansuji\number\heisei ǯ\fi
      \kansuji\number\month 
      \kansuji\number\day 
    \fi
  \else
    \if
      \number\year~ǯ
      \number\month~
      \number\day~
    \else
      ʿ\ifnum\heisei=1 ǯ\else\number\heisei~ǯ\fi
      \number\month~
      \number\day~
    \fi
  \fi}}

%%\newcommand{\prepartname}{}
%%\newcommand{\postpartname}{}
%%\newcommand{\contentsname}{ }
%%\newcommand{\listfigurename}{  }
%%\newcommand{\listtablename}{ɽ  }
\newcommand{\bibname}{ʸ}
\let\refname\bibname
%%\newcommand{\indexname}{ }
\newcommand{\figurename}{}
\newcommand{\tablename}{ɽ}
%%\newcommand{\appendixname}{ Ͽ}
%%\newcommand{\abstractname}{ }

\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`"=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty"5C=10000
\postbreakpenalty16=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\postbreakpenalty`=10000
\prebreakpenalty`=10000
\inhibitxspcode`=2
\inhibitxspcode`=1

\def\sloppy{\tolerance9999\hbadness9999\hfuzz.5\p@ \vfuzz.5\p@}

\hbadness4000
%\vbadness10001
\tolerance4000\pretolerance\m@ne
\clubpenalty\z@
\widowpenalty\z@

\if@offprint
\pagestyle{empty}
\else
\AtBeginDocument{%
 \small
 \displaywidowpenalty\z@
 \interdisplaylinepenalty\z@
 \predisplaypenalty\z@
 \postdisplaypenalty\z@
 %% cmex7,8,9
 \@ifundefined{cmex@opt}{%
  \DeclareFontFamily{OMX}{cmex}{}{}%
  \DeclareFontShape{OMX}{cmex}{m}{n}{%
   <->    cmex10
  }{}%
 }{%
  \ifnum\cmex@opt=7\relax
   \DeclareFontFamily{OMX}{cmex}{}{}%
   \DeclareFontShape{OMX}{cmex}{m}{n}{%
    <->    cmex10
   }{}%
  \fi
 }%
 %% pstricks
 %\@ifundefined{psset}{}{\psset{unit=1mm}}%
 %% nidanfloat
 \@ifpackageloaded{nidanfloat}{%
  \renewcommand\dblbotfraction{0.9}% 0.5
  \setcounter{dblbotnumber}{4}% 2
 }{}%
 %% jumoline
 \@ifpackageloaded{jumoline}{%
  \UnderlineDepth.75mm
  \UMOlineThickness0.12mm
  \if@cameraready
   \let\underline\Underline
  \fi
 }{}%
}

\pagestyle{japs}
\AtEndDocument{%
 \nopagebreak
 \vskip\Cvs \@plus .25\Cvs \@minus .25\Cvs
 \nopagebreak
 \bgroup
  \footnotesize\baselineskip16.5H
  \@acceptance\par
 \egroup
 \clearpage
 \addtocounter{page}{-1}%
 \immediate\write\@auxout
  {\string\newlabel{japs@lastpage}{{}{\thepage}}}%
 %\addtocounter{page}{1}%
}
\fi

\pagenumbering{arabic}
\raggedbottom

\if@offprint
 \onecolumn
\else
 \if@twocolumn
  \twocolumn
  %\sloppy
 \else
  \onecolumn
 \fi
\fi

\if@twoside
 \@mparswitchtrue
\else
 \@mparswitchfalse
\fi

\endinput
